Bug 590844 - SELinux is preventing /usr/bin/pulseaudio "getattr" access on /dev/.udev/db/sound:card29.
SELinux is preventing /usr/bin/pulseaudio "getattr" access on /dev/.udev...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:08f9819c899...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 15:22 EDT by Amit Shah
Modified: 2010-05-18 17:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-15.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:47:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2010-05-10 15:22:44 EDT
Summary:

SELinux is preventing /usr/bin/pulseaudio "getattr" access on
/dev/.udev/db/sound:card29.

Detailed Description:

[pulseaudio has a permissive type (sandbox_web_client_t). This access was not
denied.]

SELinux denied access requested by pulseaudio. It is not expected that this
access is required by pulseaudio and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:sandbox_web_client_t:s0:
                              c490,c964
Target Context                system_u:object_r:udev_tbl_t:s0
Target Objects                /dev/.udev/db/sound:card29 [ file ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-0.9.21-6.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-13.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49
                              UTC 2010 x86_64 x86_64
Alert Count                   18
First Seen                    Tue 11 May 2010 12:51:02 AM IST
Last Seen                     Tue 11 May 2010 12:53:08 AM IST
Local ID                      6f82092b-dfcb-473e-b49c-7cb50c42222b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273519388.535:27448): avc:  denied  { getattr } for  pid=26969 comm="pulseaudio" path="/dev/.udev/db/sound:card29" dev=devtmpfs ino=10622 scontext=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c490,c964 tcontext=system_u:object_r:udev_tbl_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1273519388.535:27448): arch=c000003e syscall=6 success=yes exit=128 a0=7fff56ee2390 a1=7fff56edd700 a2=7fff56edd700 a3=6 items=0 ppid=26966 pid=26969 auid=500 uid=500 gid=501 euid=500 suid=500 fsuid=500 egid=501 sgid=501 fsgid=501 tty=(none) ses=1 comm="pulseaudio" exe="/usr/bin/pulseaudio" subj=unconfined_u:unconfined_r:sandbox_web_client_t:s0:c490,c964 key=(null)



Hash String generated from  catchall,pulseaudio,sandbox_web_client_t,udev_tbl_t,file,getattr
audit2allow suggests:

#============= sandbox_web_client_t ==============
allow sandbox_web_client_t udev_tbl_t:file getattr;
Comment 1 Daniel Walsh 2010-05-11 09:51:27 EDT
Fixed in selinux-policy-3.7.19-15.fc13.noarch
Comment 2 Fedora Update System 2010-05-11 17:16:57 EDT
selinux-policy-3.7.19-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 3 Fedora Update System 2010-05-12 08:19:41 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 4 Fedora Update System 2010-05-15 16:21:56 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-15.fc13
Comment 5 Fedora Update System 2010-05-18 17:46:27 EDT
selinux-policy-3.7.19-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.